Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZSys Member List

This is the complete list of members for eZSys, including all inherited members.

$AccessPath | eZSys | protected
$Attributes | eZSys |
$BackupFilename | eZSys |
$EnvSeparator | eZSys |
$FileSeparator | eZSys |
$FileSystemType | eZSys |
$IndexFile | eZSys |
$instance | eZSys | protected static
$LineSeparator | eZSys |
$OS | eZSys |
$OSType | eZSys |
$Params | eZSys | protected
$QueryString | eZSys | protected
$RequestURI | eZSys |
$RootDir | eZSys |
$ShellEscapeCharacter | eZSys |
$SiteDir | eZSys |
$WWWDir | eZSys |
__construct(array $serverParams=array()) | eZSys |
__get( $propertyName) | eZSys |
__isset( $propertyName) | eZSys |
addAccessPath( $path, $name='undefined', $siteaccess=true) | eZSys | static
attribute( $attr) | eZSys |
attributes() | eZSys |
backupFilename() | eZSys | static
cacheDirectory() | eZSys | static
clearAccessPath( $siteaccess=true) | eZSys | static
clientIP() | eZSys | static
createShellArgument( $argumentText, array $replaceList) | eZSys | static
environmentVariable( $variableName, $quiet=false) | eZSys | static
envSeparator() | eZSys | static
escapeShellArgument( $argument) | eZSys | static
ezcrc32( $string) | eZSys | static
fileSeparator() | eZSys | static
filesystemType() | eZSys | static
getValidwwwDir( $phpSelf, $scriptFileName, $index) | eZSys | protected static
globBrace( $pattern, $flags=0) | eZSys | static
hasAttribute( $attr) | eZSys |
hasEnvironmentVariable( $variableName) | eZSys | static
hostname() | eZSys | static
indexDir( $withAccessList=true) | eZSys | static
indexFile( $withAccessPath=true) | eZSys | static
indexFileName() | eZSys | static
init( $index='index.php', $forceVirtualHost=null) | eZSys | static
instance() | eZSys | static
isShellExecution() | eZSys | static
isSSLNow() | eZSys | static
lineSeparator() | eZSys | static
mergeArgumentElements(array $argumentElements) | eZSys | static
osName() | eZSys | static
osType() | eZSys | static
path( $quiet=false) | eZSys | static
protocolSchema() | eZSys | static
queryString() | eZSys | static
requestURI() | eZSys | static
rootDir() | eZSys | static
serverPort() | eZSys | static
serverProtocol() | eZSys | static
serverURL() | eZSys | static
serverVariable( $variableName, $quiet=false) | eZSys | static
setAccessPath(array $path=array(), $name='undefined', $siteaccess=true) | eZSys | static
setEnvironmentVariable( $variableName, $variableValue) | eZSys | static
setInstance(eZSys|null $instance=null) | eZSys | static
setServerVariable( $variableName, $variableValue) | eZSys | static
simulateGlobBrace( $filenames) | eZSys | protected static
siteDir() | eZSys | static
splitArgumentIntoElements( $argumentText) | eZSys | static
storageDirectory() | eZSys | static
varDirectory() | eZSys | static
wwwDir() | eZSys | static

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.